
Figure - Bug #113696
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现ANR：com.thundercomm.screensaver
2022-11-04 11:24 - CD Test赵飞

Status: CLOSED Start date: 2022-11-04

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0043.X101

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

测试命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10 --pct-anyevent 10 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

ANR in com.thundercomm.screensaver (com.thundercomm.screensaver/.ui.page.MainActivity)

PID: 30509

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.thundercomm.screensaver/.ui.page.MainActivity

ErrorId: 9053326a-cef5-45ab-a5cb-f57602bcb6c2

Frozen: false

Load: 0.0 / 0.0 / 0.0

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=648111

full avg10=0.00 avg60=0.00 avg300=0.00 total=270032

----- End output from /proc/pressure/memory -----

CPU usage from 5703ms to 0ms ago (2022-11-03 07:20:54.003 to 2022-11-03 07:20:59.706):

  18% 1270/tlog: 1% user + 16% kernel

  10% 20250/tlog: 0.5% user + 9.7% kernel

  8.2% 31974/kworker/u16:22+kgsl-mementry: 0% user + 8.2% kernel

  7.5% 16659/com.microsoft.emmx: 2% user + 5.4% kernel / faults: 74 minor

  7.3% 9472/system_server: 3.8% user + 3.4% kernel / faults: 2177 minor

  4.8% 23460/kworker/u16:10+LPASS_DCI: 0% user + 4.8% kernel

  4% 9394/surfaceflinger: 0.6% user + 3.3% kernel

  0.5% 14901/kworker/u16:1-governor_msm_adreno_tz_: 0% user + 0.5% kernel

  2.6% 29697/kworker/3:0-events: 0% user + 2.6% kernel

...
History

#1 - 2022-11-07 16:55 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2022-11-09 18:52 - CD Test赵飞

Log已传至FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug _113696/Tlog&ANR.zip

#3 - 2022-11-16 19:53 - CDTS-TEST 周婷

- Due date deleted (2022-11-11)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#4 - 2022-12-05 17:35 - CD APP-王营

- Due date set to 2022-12-15

#5 - 2022-12-27 16:20 - CD APP-王营

- Status changed from New to ASSIGNED

#6 - 2022-12-27 17:03 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#7 - 2022-12-28 14:31 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#8 - 2022-12-28 14:31 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

anr.zip 23.8 KB 2022-11-04 CD Test赵飞

tlog.zip.001 30 MB 2022-11-04 CD Test赵飞

tlog.zip.002 30 MB 2022-11-04 CD Test赵飞

tlog.zip.003 15.2 MB 2022-11-04 CD Test赵飞
